import 'package:flutter/material.dart';
import 'package:loading_overlay/loading_overlay.dart';

class CustomLoadingOverlay extends StatelessWidget {
  final bool isLoading;
  final Widget child;

  const CustomLoadingOverlay({
    Key? key,
    required this.isLoading,
    required this.child,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return LoadingOverlay(
      color: Colors.black,
      isLoading: isLoading,
      child: child,
    );
  }
}
